<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ExplosivesBase/Plastic_Explosive.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/dac/_plastic___explosive_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Plastic_Explosive.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/dac/_plastic___explosive_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d42/class_plastic___explosive.html">Plastic_Explosive</a> : <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">    3</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>                     = <span class="stringliteral">&quot;TriggerRemoteDetonator_Receiver&quot;</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a959a8b59f5d7547a1ecea3fe0302f148">    4</a></span>    <span class="keyword">protected</span> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a959a8b59f5d7547a1ecea3fe0302f148">ANIM_PHASE_TRIGGER_REMOTE</a>        = <span class="stringliteral">&quot;TriggerRemote&quot;</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">    6</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d3/d4e/class_remotely_activated_item_behaviour.html">RemotelyActivatedItemBehaviour</a> <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#af529c271ccfafd20eb8dfe167d62c5ed">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#af529c271ccfafd20eb8dfe167d62c5ed">Plastic_Explosive</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d3/d4e/class_remotely_activated_item_behaviour.html">RemotelyActivatedItemBehaviour</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a>(<span class="stringliteral">&quot;Plastic_Explosive_Ammo&quot;</span>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a7b91e1e4159af6b6b3cbeba9f39b7bbd">PLASTIC_EXPLOSION</a>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a2bafff3bfbb6159d9707bd7ce7804f1c">RegisterNetSyncVariableInt</a>(<span class="stringliteral">&quot;m_RAIB.m_PairDeviceNetIdLow&quot;</span>);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a2bafff3bfbb6159d9707bd7ce7804f1c">RegisterNetSyncVariableInt</a>(<span class="stringliteral">&quot;m_RAIB.m_PairDeviceNetIdHigh&quot;</span>);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a7d39a88bce2577989c70b4093d22f714">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7d39a88bce2577989c70b4093d22f714">EOnInit</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <span class="keywordtype">int</span> extra)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a4b95bb4872a181d8bb490de5f918563f">LockTriggerSlots</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a944f1753fcb570f9e03094f9bb109616">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a944f1753fcb570f9e03094f9bb109616">EEKilled</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> killer)   </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="comment">//analytics (behaviour from EntityAI)</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aa3bfe516ce1494bf4538127d99df93a3">GetAnalyticsServer</a>().<a class="code hl_function" href="../../d1/d55/class_analytics_manager_server.html#a21026a9b4ef3d05093732c5b65875881">OnEntityKilled</a>(killer, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#afe63c9f731dd6bf072d77ee15fa0ba08">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#afe63c9f731dd6bf072d77ee15fa0ba08">HasLockedTriggerSlots</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#a8d4e6db70df0af6c2a66168d9c6accfe">GetSlotLock</a>(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>));</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a4b95bb4872a181d8bb490de5f918563f">   36</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a4b95bb4872a181d8bb490de5f918563f">LockTriggerSlots</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#ad0890541226580dba11591dde80c9e1b">SetSlotLock</a>(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>), <span class="keyword">true</span>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#adf6f249af94a0db160c37e3f0cdc1f82">   41</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#adf6f249af94a0db160c37e3f0cdc1f82">UnlockTriggerSlots</a>()</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#ad0890541226580dba11591dde80c9e1b">SetSlotLock</a>(<a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>), <span class="keyword">false</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a8525dcd29889be2299861e4952b1602e">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a8525dcd29889be2299861e4952b1602e">OnVariablesSynchronized</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        super.OnVariablesSynchronized();</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a>)</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>            <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a>.<a class="code hl_function" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a0a88bdc33948908917b0b0646527f0d5">OnVariableSynchronized</a>();</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordtype">int</span> slotId = <a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#a57ed5d4223f68511e3c487a0487b5573">UpdateVisuals</a>(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().FindAttachment(slotId));</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a7cc83c50195e8f07e01dce2d5f9adf0f">   59</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7cc83c50195e8f07e01dce2d5f9adf0f">CanPutInCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span> ( !super.CanPutInCargo(parent) )</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7cc288bdc0b4e2dc365ec2f3e377598b">IsTakeable</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a88eeed3b832cc3006d0442320edf29ca">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a88eeed3b832cc3006d0442320edf29ca">CanPutIntoHands</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> (!super.CanPutIntoHands(parent))</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7cc288bdc0b4e2dc365ec2f3e377598b">IsTakeable</a>();</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#ab8c7f91effaadedb5e7192d50201b6ce">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#ab8c7f91effaadedb5e7192d50201b6ce">CanRemoveFromHands</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7cc288bdc0b4e2dc365ec2f3e377598b">IsTakeable</a>();</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a69b7a60f2bf252934c736cc5e0e089b0">   84</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a69b7a60f2bf252934c736cc5e0e089b0">CanReceiveAttachment</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment, <span class="keywordtype">int</span> slotId)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> il = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>();</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#ae276ebb9b7c3bc9e3b6b0d3bb8b15b45">GetCurrentInventoryLocation</a>(il);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">if</span> (il.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#af47a618941989bcedd7ee33dd3c45721">GetType</a>() == <a class="code hl_enumeration" href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a>.HANDS)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a1b315f18bec559d262b8791d0d48d5f8">ClockBase</a> timer = <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a1b315f18bec559d262b8791d0d48d5f8">ClockBase</a>.Cast(attachment);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">if</span> (timer &amp;&amp; !timer.IsAlarmOn())</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a>();</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#ab363d120dc11a266e8973259ed31153c">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#ab363d120dc11a266e8973259ed31153c">CanDisplayAttachmentSlot</a>(<span class="keywordtype">int</span> slot_id)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        <span class="keywordtype">string</span> slotName = <a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a>.<a class="code hl_function" href="../../df/d36/class_inventory_slots.html#a7780f9a2ed7ac70dff2d1b5e277d8f5a">GetSlotName</a>(slot_id);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        <span class="keywordflow">switch</span> (slotName)</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>:</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a>(slotName) != null;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a7cc288bdc0b4e2dc365ec2f3e377598b">  116</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7cc288bdc0b4e2dc365ec2f3e377598b">IsTakeable</a>()</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a>() &amp;&amp; super.IsTakeable();</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#ac08a9bc8c05bc0365f004455632b5359">  121</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#ac08a9bc8c05bc0365f004455632b5359">IsDeployable</a>()</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">return</span> !<a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a>();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#ae0f901a8a3d76a8b8ce948310e4cf30f">  126</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#ae0f901a8a3d76a8b8ce948310e4cf30f">SetActions</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        super.SetActions();</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>    }</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a72a5a643154f48a9c303d8dab53df00a">  134</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a72a5a643154f48a9c303d8dab53df00a">PairRemote</a>(notnull <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> trigger)</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    {</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a>.<a class="code hl_function" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#ad144a49028581e609fced94901d2fb16">Pair</a>(trigger);</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a8d5957eb54fd28389f63e776ddece663">  139</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a8d5957eb54fd28389f63e776ddece663">UnpairRemote</a>()</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a>.<a class="code hl_function" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a348985aa8f60c193a6a51d3c1af3efb0">Unpair</a>();</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a29cb5e43a61bb19dbe9b4965920e891b">  144</a></span>    <span class="keyword">override</span> <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a29cb5e43a61bb19dbe9b4965920e891b">GetPairDevice</a>()</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a>.<a class="code hl_function" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a87a07217c82311b127a73c2dcf1fcf93">GetPairDevice</a>();</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>    }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>    </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a2ebe02991dc2aa337a5bbde340a0e9ef">  149</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a2ebe02991dc2aa337a5bbde340a0e9ef">CanBeArmed</a>()</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>    {</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span> (!super.CanBeArmed())</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        }</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#afe63c9f731dd6bf072d77ee15fa0ba08">HasLockedTriggerSlots</a>() &amp;&amp; !<a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a>();</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>    }</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>    </div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a4d914fa5f8f1b85bc364435d4f09e285">  159</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a4d914fa5f8f1b85bc364435d4f09e285">CanBeDisarmed</a>()</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>    {</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a>();</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    }</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>    </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a34e92611c18c8f1c5759ccce0e5b2946">  164</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a34e92611c18c8f1c5759ccce0e5b2946">OnActivatedByItem</a>(notnull <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>    {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        {</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d93/_object_8c.html#a596473a2ab0297ce4e14b6dda33c70e8">GetHealthLevel</a>(<span class="stringliteral">&quot;&quot;</span>) == <a class="code hl_class" href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a>.<a class="code hl_variable" href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">STATE_RUINED</a>)</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>            {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>            </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordflow">if</span> (item == <span class="keyword">this</span>)</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                <a class="code hl_function" href="../../dd/d93/_object_8c.html#a06e179b153af2d7dbc7d007ba0fbdf8a">SetHealth</a>(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, 0.0);</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>                <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7a643b860d7e72a81b4174709e092069">InitiateExplosion</a>();</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>                <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>            }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>            </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">m_RAIB</a>.<a class="code hl_function" href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a504e9506cf4236eba096b3f492b236a4">IsPaired</a>() &amp;&amp; <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a>())</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>            {</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>                <span class="keywordflow">if</span> (<a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a29cb5e43a61bb19dbe9b4965920e891b">GetPairDevice</a>() == item)</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>                {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>                    <a class="code hl_function" href="../../dd/d93/_object_8c.html#a06e179b153af2d7dbc7d007ba0fbdf8a">SetHealth</a>(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, 0.0);</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                    <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7a643b860d7e72a81b4174709e092069">InitiateExplosion</a>();</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>                }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>            }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    }</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    </div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a3f6412ae64e16aa1b58f90c195941bf7">  191</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a3f6412ae64e16aa1b58f90c195941bf7">OnDisarmed</a>(<span class="keywordtype">bool</span> pWithTool)</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    {</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        super.OnDisarmed(pWithTool);</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a8d5957eb54fd28389f63e776ddece663">UnpairRemote</a>();</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#a57ed5d4223f68511e3c487a0487b5573">UpdateVisuals</a>(null);</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> att = 0; att &lt; <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#ac90636fb6dc15d1d0f98d04c9f55f6c4">AttachmentCount</a>(); att++)</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        {</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> attachment = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#afc134dff147a7d494e7afdc3d77bcd0e">GetAttachmentFromIndex</a>(att));</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>            <span class="keywordflow">if</span> (attachment)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>                attachment.UnlockFromParent();</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>                <span class="keywordflow">if</span> (attachment.IsInherited(RemoteDetonator))</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>                {</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>                    <span class="keywordflow">if</span> (pWithTool)</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>                    {</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>                        <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#afdb3216eb11953f40d25f79124964949">DropEntity</a>(<a class="code hl_enumeration" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a>.SERVER, <span class="keyword">this</span>, attachment);</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>                        attachment.SetHealth(<span class="stringliteral">&quot;&quot;</span>, <span class="stringliteral">&quot;&quot;</span>, 0.0);</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>                    }</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>                    <span class="keywordflow">else</span></div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>                    {</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>                        attachment.Delete();</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>                    }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>                }</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>            }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>        }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a4b95bb4872a181d8bb490de5f918563f">LockTriggerSlots</a>();</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    }</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>    </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a205044410a70248a4ed34be86adc9d1f">  222</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a205044410a70248a4ed34be86adc9d1f">EEItemAttached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <span class="keywordtype">string</span> slot_name)</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        super.EEItemAttached(item, slot_name);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <span class="keywordflow">switch</span> (slot_name)</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>:</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>            <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7ef7ca5561e02d3b037c70ce432f931a">OnTriggerAttached</a>(item);</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>    }</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#abde19cafd14b9011df3433bfab4672a6">  234</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#abde19cafd14b9011df3433bfab4672a6">EEItemDetached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item, <span class="keywordtype">string</span> slot_name)</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>    {</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        super.EEItemDetached(item, slot_name);</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span> </div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>        <span class="keywordflow">switch</span> (slot_name)</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        {</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>:</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#af1e9feeffc703c4cfb43c8cdf76d2bd2">OnTriggerDetached</a>(item);</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        }</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a23fc00ef2b09478f931d59cd138827b5">  246</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a23fc00ef2b09478f931d59cd138827b5">UpdateLED</a>(<span class="keywordtype">int</span> pState)</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <a class="code hl_function" href="../../dc/dd0/_remote_detonator_8c.html#a39646fdabc350c98a2e907027b643331">RemoteDetonatorReceiver</a> receiver = <a class="code hl_function" href="../../dc/dd0/_remote_detonator_8c.html#a39646fdabc350c98a2e907027b643331">RemoteDetonatorReceiver</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a>(<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">SLOT_TRIGGER</a>));</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <span class="keywordflow">if</span> (receiver)</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>        {</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            receiver.UpdateLED(pState);</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>        }</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>    }</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a7ef7ca5561e02d3b037c70ce432f931a">  255</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a7ef7ca5561e02d3b037c70ce432f931a">OnTriggerAttached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>    {</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ac4cc6602780ad6cab3ca4b2b7852a78d">Arm</a>();</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#a57ed5d4223f68511e3c487a0487b5573">UpdateVisuals</a>(entity);</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>        <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a23fc00ef2b09478f931d59cd138827b5">UpdateLED</a>(<a class="code hl_enumeration" href="../../dc/dd0/_remote_detonator_8c.html#a7804fd4e8640651942c36a208aa12c5c">ERemoteDetonatorLEDState</a>.LIT);</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>        </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> att = 0; att &lt; <a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#ac90636fb6dc15d1d0f98d04c9f55f6c4">AttachmentCount</a>(); att++)</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        {</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> attachment = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a>().<a class="code hl_function" href="../../dc/d11/class_game_inventory.html#afc134dff147a7d494e7afdc3d77bcd0e">GetAttachmentFromIndex</a>(att));</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>            <span class="keywordflow">if</span> (attachment)</div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            {</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>                attachment.LockToParent();</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>            }</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    }</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>    </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#af1e9feeffc703c4cfb43c8cdf76d2bd2">  271</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#af1e9feeffc703c4cfb43c8cdf76d2bd2">OnTriggerDetached</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    {</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        <a class="code hl_function" href="../../de/df0/_construction_8c.html#a57ed5d4223f68511e3c487a0487b5573">UpdateVisuals</a>(null);</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a23fc00ef2b09478f931d59cd138827b5">UpdateLED</a>(<a class="code hl_enumeration" href="../../dc/dd0/_remote_detonator_8c.html#a7804fd4e8640651942c36a208aa12c5c">ERemoteDetonatorLEDState</a>.OFF);</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>    }</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>    </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno"><a class="line" href="../../da/d42/class_plastic___explosive.html#a11cab5d3d43f35c25890219a47039adc">  277</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d42/class_plastic___explosive.html#a11cab5d3d43f35c25890219a47039adc">UpdateVisuals</a>(<a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity)</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>    {</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        <span class="keywordflow">if</span> (entity)</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>        {</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            SetAnimationPhase(<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a959a8b59f5d7547a1ecea3fe0302f148">ANIM_PHASE_TRIGGER_REMOTE</a>, 0.0);</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        }</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>        {</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            SetAnimationPhase(<a class="code hl_variable" href="../../da/d42/class_plastic___explosive.html#a959a8b59f5d7547a1ecea3fe0302f148">ANIM_PHASE_TRIGGER_REMOTE</a>, 1.0);</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>        }</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>    }</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>}</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span> </div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span><span class="keyword">class </span>Plastic_Explosive_Placing : <a class="code hl_class" href="../../da/d42/class_plastic___explosive.html">Plastic_Explosive</a> {}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a0fc522204b264247b969c1ed143d95d2"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a0fc522204b264247b969c1ed143d95d2">GetInventory</a></div><div class="ttdeci">proto native GameInventory GetInventory()</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a2bafff3bfbb6159d9707bd7ce7804f1c"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a2bafff3bfbb6159d9707bd7ce7804f1c">RegisterNetSyncVariableInt</a></div><div class="ttdeci">proto native void RegisterNetSyncVariableInt(string variableName, int minValue=0, int maxValue=0)</div></div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_ab0db911d659e6c7703cd3ead16d7044b"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#ab0db911d659e6c7703cd3ead16d7044b">FindAttachmentBySlotName</a></div><div class="ttdeci">EntityAI FindAttachmentBySlotName(string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l01508">EntityAI.c:1508</a></div></div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_inventory_8c_html_a5073c77c5d68882860f688a9fc4cba4d"><div class="ttname"><a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#a5073c77c5d68882860f688a9fc4cba4d">InventoryMode</a></div><div class="ttdeci">InventoryMode</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00019">Inventory.c:20</a></div></div>
<div class="ttc" id="a_action_deploy_object_8c_html_a1eb6c584b29789b9c360df2d769c22a8"><div class="ttname"><a href="../../dc/d59/_action_deploy_object_8c.html#a1eb6c584b29789b9c360df2d769c22a8">ActionDeployObject</a></div><div class="ttdeci">PlaceObjectActionReciveData ActionReciveData ActionDeployObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d59/_action_deploy_object_8c_source.html#l00001">ActionDeployObject.c:9</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a1b315f18bec559d262b8791d0d48d5f8"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a1b315f18bec559d262b8791d0d48d5f8">ClockBase</a></div><div class="ttdeci">void ClockBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00027">ClockBase.c:27</a></div></div>
<div class="ttc" id="a_construction_8c_html_a57ed5d4223f68511e3c487a0487b5573"><div class="ttname"><a href="../../de/df0/_construction_8c.html#a57ed5d4223f68511e3c487a0487b5573">UpdateVisuals</a></div><div class="ttdeci">void UpdateVisuals()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/df0/_construction_8c_source.html#l00188">Construction.c:188</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a6de1fd0cb2bdb06bab78c93bc6cd5aad"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a6de1fd0cb2bdb06bab78c93bc6cd5aad">GetArmed</a></div><div class="ttdeci">bool GetArmed()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00176">ExplosivesBase.c:176</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a7a643b860d7e72a81b4174709e092069"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a7a643b860d7e72a81b4174709e092069">InitiateExplosion</a></div><div class="ttdeci">protected void InitiateExplosion()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00101">ExplosivesBase.c:101</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a7c2b945ed7403ef829ab89abfddb8714"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a></div><div class="ttdeci">void SetParticleExplosion(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00209">ExplosivesBase.c:209</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ac4cc6602780ad6cab3ca4b2b7852a78d"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ac4cc6602780ad6cab3ca4b2b7852a78d">Arm</a></div><div class="ttdeci">void Arm()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00148">ExplosivesBase.c:148</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ad3e094cf68f7de47f9770099d995a4bb"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ad3e094cf68f7de47f9770099d995a4bb">SetAmmoType</a></div><div class="ttdeci">void SetAmmoType(string pAmmoType)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00198">ExplosivesBase.c:198</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_aee93f0aec8cce6897cf2da6281a3d9ee"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#aee93f0aec8cce6897cf2da6281a3d9ee">ExplosivesBase</a></div><div class="ttdeci">void ExplosivesBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00271">ExplosivesBase.c:271</a></div></div>
<div class="ttc" id="a_inventory_location_8c_html_ad09049fb2b99c763369bfe6228aa81b3"><div class="ttname"><a href="../../d6/d52/_inventory_location_8c.html#ad09049fb2b99c763369bfe6228aa81b3">InventoryLocationType</a></div><div class="ttdeci">InventoryLocationType</div><div class="ttdoc">types of Inventory Location</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00003">InventoryLocation.c:4</a></div></div>
<div class="ttc" id="a_object_8c_html_a06e179b153af2d7dbc7d007ba0fbdf8a"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a06e179b153af2d7dbc7d007ba0fbdf8a">SetHealth</a></div><div class="ttdeci">proto native void SetHealth(string zoneName, string healthType, float value)</div><div class="ttdoc">Sets current state of health.</div></div>
<div class="ttc" id="a_object_8c_html_a596473a2ab0297ce4e14b6dda33c70e8"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a596473a2ab0297ce4e14b6dda33c70e8">GetHealthLevel</a></div><div class="ttdeci">proto native int GetHealthLevel(string zone=&quot;&quot;)</div><div class="ttdoc">Returns global health level specified in object's config class parameter healthLevels (range is usual...</div></div>
<div class="ttc" id="a_remote_detonator_8c_html_a39646fdabc350c98a2e907027b643331"><div class="ttname"><a href="../../dc/dd0/_remote_detonator_8c.html#a39646fdabc350c98a2e907027b643331">RemoteDetonatorReceiver</a></div><div class="ttdeci">RemoteDetonatorTrigger RemoteDetonator RemoteDetonatorReceiver()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_remote_detonator_8c_source.html#l00039">RemoteDetonator.c:173</a></div></div>
<div class="ttc" id="a_remote_detonator_8c_html_a7804fd4e8640651942c36a208aa12c5c"><div class="ttname"><a href="../../dc/dd0/_remote_detonator_8c.html#a7804fd4e8640651942c36a208aa12c5c">ERemoteDetonatorLEDState</a></div><div class="ttdeci">ERemoteDetonatorLEDState</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd0/_remote_detonator_8c_source.html#l00001">RemoteDetonator.c:2</a></div></div>
<div class="ttc" id="aclass_action_toggle_place_object_html"><div class="ttname"><a href="../../d8/d94/class_action_toggle_place_object.html">ActionTogglePlaceObject</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daf/_action_toggle_place_object_8c_source.html#l00001">ActionTogglePlaceObject.c:2</a></div></div>
<div class="ttc" id="aclass_analytics_manager_server_html_a21026a9b4ef3d05093732c5b65875881"><div class="ttname"><a href="../../d1/d55/class_analytics_manager_server.html#a21026a9b4ef3d05093732c5b65875881">AnalyticsManagerServer::OnEntityKilled</a></div><div class="ttdeci">void OnEntityKilled(Object killer, EntityAI target)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d73/_analytics_manager_server_8c_source.html#l00078">AnalyticsManagerServer.c:78</a></div></div>
<div class="ttc" id="aclass_c_game_html_aa3bfe516ce1494bf4538127d99df93a3"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aa3bfe516ce1494bf4538127d99df93a3">CGame::GetAnalyticsServer</a></div><div class="ttdeci">AnalyticsManagerServer GetAnalyticsServer()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01367">Game.c:1367</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html_a8d4e6db70df0af6c2a66168d9c6accfe"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#a8d4e6db70df0af6c2a66168d9c6accfe">GameInventory::GetSlotLock</a></div><div class="ttdeci">proto native bool GetSlotLock(int slot)</div></div>
<div class="ttc" id="aclass_game_inventory_html_ac90636fb6dc15d1d0f98d04c9f55f6c4"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#ac90636fb6dc15d1d0f98d04c9f55f6c4">GameInventory::AttachmentCount</a></div><div class="ttdeci">proto native int AttachmentCount()</div><div class="ttdoc">Returns count of attachments attached to this item.</div></div>
<div class="ttc" id="aclass_game_inventory_html_ad0890541226580dba11591dde80c9e1b"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#ad0890541226580dba11591dde80c9e1b">GameInventory::SetSlotLock</a></div><div class="ttdeci">proto native bool SetSlotLock(int slot, bool locked)</div></div>
<div class="ttc" id="aclass_game_inventory_html_ae276ebb9b7c3bc9e3b6b0d3bb8b15b45"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#ae276ebb9b7c3bc9e3b6b0d3bb8b15b45">GameInventory::GetCurrentInventoryLocation</a></div><div class="ttdeci">proto native bool GetCurrentInventoryLocation(out notnull InventoryLocation loc)</div><div class="ttdoc">returns information about current item location</div></div>
<div class="ttc" id="aclass_game_inventory_html_afc134dff147a7d494e7afdc3d77bcd0e"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#afc134dff147a7d494e7afdc3d77bcd0e">GameInventory::GetAttachmentFromIndex</a></div><div class="ttdeci">proto native EntityAI GetAttachmentFromIndex(int index)</div></div>
<div class="ttc" id="aclass_game_inventory_html_afdb3216eb11953f40d25f79124964949"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html#afdb3216eb11953f40d25f79124964949">GameInventory::DropEntity</a></div><div class="ttdeci">bool DropEntity(InventoryMode mode, EntityAI owner, notnull EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l01117">Inventory.c:1117</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_af47a618941989bcedd7ee33dd3c45721"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#af47a618941989bcedd7ee33dd3c45721">InventoryLocation::GetType</a></div><div class="ttdeci">proto native int GetType()</div><div class="ttdoc">returns type of InventoryLocation</div></div>
<div class="ttc" id="aclass_inventory_slots_html"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div><div class="ttdoc">provides access to slot configuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00005">InventorySlots.c:6</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html_a7780f9a2ed7ac70dff2d1b5e277d8f5a"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#a7780f9a2ed7ac70dff2d1b5e277d8f5a">InventorySlots::GetSlotName</a></div><div class="ttdeci">static proto native owned string GetSlotName(int id)</div><div class="ttdoc">converts slot_id to string</div></div>
<div class="ttc" id="aclass_inventory_slots_html_afdfa2801842c135099e68d21a2e71590"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">InventorySlots::GetSlotIdFromString</a></div><div class="ttdeci">static proto native int GetSlotIdFromString(string slot_name)</div><div class="ttdoc">converts string to slot_id</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a7b91e1e4159af6b6b3cbeba9f39b7bbd"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a7b91e1e4159af6b6b3cbeba9f39b7bbd">ParticleList::PLASTIC_EXPLOSION</a></div><div class="ttdeci">static const int PLASTIC_EXPLOSION</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00298">ParticleList.c:298</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html">Plastic_Explosive</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00001">Plastic_Explosive.c:2</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a11cab5d3d43f35c25890219a47039adc"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a11cab5d3d43f35c25890219a47039adc">Plastic_Explosive::UpdateVisuals</a></div><div class="ttdeci">protected void UpdateVisuals(EntityAI entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00277">Plastic_Explosive.c:277</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a205044410a70248a4ed34be86adc9d1f"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a205044410a70248a4ed34be86adc9d1f">Plastic_Explosive::EEItemAttached</a></div><div class="ttdeci">override void EEItemAttached(EntityAI item, string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00222">Plastic_Explosive.c:222</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a23fc00ef2b09478f931d59cd138827b5"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a23fc00ef2b09478f931d59cd138827b5">Plastic_Explosive::UpdateLED</a></div><div class="ttdeci">override void UpdateLED(int pState)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00246">Plastic_Explosive.c:246</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a29cb5e43a61bb19dbe9b4965920e891b"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a29cb5e43a61bb19dbe9b4965920e891b">Plastic_Explosive::GetPairDevice</a></div><div class="ttdeci">override EntityAI GetPairDevice()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00144">Plastic_Explosive.c:144</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a2ebe02991dc2aa337a5bbde340a0e9ef"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a2ebe02991dc2aa337a5bbde340a0e9ef">Plastic_Explosive::CanBeArmed</a></div><div class="ttdeci">override bool CanBeArmed()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00149">Plastic_Explosive.c:149</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a34e92611c18c8f1c5759ccce0e5b2946"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a34e92611c18c8f1c5759ccce0e5b2946">Plastic_Explosive::OnActivatedByItem</a></div><div class="ttdeci">override void OnActivatedByItem(notnull ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00164">Plastic_Explosive.c:164</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a3f6412ae64e16aa1b58f90c195941bf7"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a3f6412ae64e16aa1b58f90c195941bf7">Plastic_Explosive::OnDisarmed</a></div><div class="ttdeci">override void OnDisarmed(bool pWithTool)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00191">Plastic_Explosive.c:191</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a4b95bb4872a181d8bb490de5f918563f"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a4b95bb4872a181d8bb490de5f918563f">Plastic_Explosive::LockTriggerSlots</a></div><div class="ttdeci">override void LockTriggerSlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00036">Plastic_Explosive.c:36</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a4bcb35bbb7d74937b5c17c4f6b777f45"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a4bcb35bbb7d74937b5c17c4f6b777f45">Plastic_Explosive::SLOT_TRIGGER</a></div><div class="ttdeci">protected const string SLOT_TRIGGER</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00003">Plastic_Explosive.c:3</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a4d914fa5f8f1b85bc364435d4f09e285"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a4d914fa5f8f1b85bc364435d4f09e285">Plastic_Explosive::CanBeDisarmed</a></div><div class="ttdeci">override bool CanBeDisarmed()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00159">Plastic_Explosive.c:159</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a69b7a60f2bf252934c736cc5e0e089b0"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a69b7a60f2bf252934c736cc5e0e089b0">Plastic_Explosive::CanReceiveAttachment</a></div><div class="ttdeci">override bool CanReceiveAttachment(EntityAI attachment, int slotId)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00084">Plastic_Explosive.c:84</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a72a5a643154f48a9c303d8dab53df00a"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a72a5a643154f48a9c303d8dab53df00a">Plastic_Explosive::PairRemote</a></div><div class="ttdeci">override void PairRemote(notnull EntityAI trigger)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00134">Plastic_Explosive.c:134</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a7cc288bdc0b4e2dc365ec2f3e377598b"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a7cc288bdc0b4e2dc365ec2f3e377598b">Plastic_Explosive::IsTakeable</a></div><div class="ttdeci">override bool IsTakeable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00116">Plastic_Explosive.c:116</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a7cc83c50195e8f07e01dce2d5f9adf0f"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a7cc83c50195e8f07e01dce2d5f9adf0f">Plastic_Explosive::CanPutInCargo</a></div><div class="ttdeci">override bool CanPutInCargo(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00059">Plastic_Explosive.c:59</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a7d39a88bce2577989c70b4093d22f714"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a7d39a88bce2577989c70b4093d22f714">Plastic_Explosive::EOnInit</a></div><div class="ttdeci">override void EOnInit(IEntity other, int extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00019">Plastic_Explosive.c:19</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a7ef7ca5561e02d3b037c70ce432f931a"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a7ef7ca5561e02d3b037c70ce432f931a">Plastic_Explosive::OnTriggerAttached</a></div><div class="ttdeci">protected void OnTriggerAttached(EntityAI entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00255">Plastic_Explosive.c:255</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a8525dcd29889be2299861e4952b1602e"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a8525dcd29889be2299861e4952b1602e">Plastic_Explosive::OnVariablesSynchronized</a></div><div class="ttdeci">override void OnVariablesSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00046">Plastic_Explosive.c:46</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a88eeed3b832cc3006d0442320edf29ca"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a88eeed3b832cc3006d0442320edf29ca">Plastic_Explosive::CanPutIntoHands</a></div><div class="ttdeci">override bool CanPutIntoHands(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00069">Plastic_Explosive.c:69</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a8d5957eb54fd28389f63e776ddece663"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a8d5957eb54fd28389f63e776ddece663">Plastic_Explosive::UnpairRemote</a></div><div class="ttdeci">override void UnpairRemote()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00139">Plastic_Explosive.c:139</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a944f1753fcb570f9e03094f9bb109616"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a944f1753fcb570f9e03094f9bb109616">Plastic_Explosive::EEKilled</a></div><div class="ttdeci">override void EEKilled(Object killer)</div><div class="ttdoc">special behaviour - do not call super from ExplosivesBase</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00025">Plastic_Explosive.c:25</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_a959a8b59f5d7547a1ecea3fe0302f148"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#a959a8b59f5d7547a1ecea3fe0302f148">Plastic_Explosive::ANIM_PHASE_TRIGGER_REMOTE</a></div><div class="ttdeci">protected const string ANIM_PHASE_TRIGGER_REMOTE</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00004">Plastic_Explosive.c:4</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_ab363d120dc11a266e8973259ed31153c"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#ab363d120dc11a266e8973259ed31153c">Plastic_Explosive::CanDisplayAttachmentSlot</a></div><div class="ttdeci">override bool CanDisplayAttachmentSlot(int slot_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00102">Plastic_Explosive.c:102</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_ab8c7f91effaadedb5e7192d50201b6ce"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#ab8c7f91effaadedb5e7192d50201b6ce">Plastic_Explosive::CanRemoveFromHands</a></div><div class="ttdeci">override bool CanRemoveFromHands(EntityAI parent)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00079">Plastic_Explosive.c:79</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_abde19cafd14b9011df3433bfab4672a6"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#abde19cafd14b9011df3433bfab4672a6">Plastic_Explosive::EEItemDetached</a></div><div class="ttdeci">override void EEItemDetached(EntityAI item, string slot_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00234">Plastic_Explosive.c:234</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_ac08a9bc8c05bc0365f004455632b5359"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#ac08a9bc8c05bc0365f004455632b5359">Plastic_Explosive::IsDeployable</a></div><div class="ttdeci">override bool IsDeployable()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00121">Plastic_Explosive.c:121</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_adf6f249af94a0db160c37e3f0cdc1f82"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#adf6f249af94a0db160c37e3f0cdc1f82">Plastic_Explosive::UnlockTriggerSlots</a></div><div class="ttdeci">override void UnlockTriggerSlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00041">Plastic_Explosive.c:41</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_ae0f901a8a3d76a8b8ce948310e4cf30f"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#ae0f901a8a3d76a8b8ce948310e4cf30f">Plastic_Explosive::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00126">Plastic_Explosive.c:126</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_aed2ec20050dccec1744b45da09faa903"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#aed2ec20050dccec1744b45da09faa903">Plastic_Explosive::m_RAIB</a></div><div class="ttdeci">protected ref RemotelyActivatedItemBehaviour m_RAIB</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00006">Plastic_Explosive.c:6</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_af1e9feeffc703c4cfb43c8cdf76d2bd2"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#af1e9feeffc703c4cfb43c8cdf76d2bd2">Plastic_Explosive::OnTriggerDetached</a></div><div class="ttdeci">protected void OnTriggerDetached(EntityAI entity)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00271">Plastic_Explosive.c:271</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_af529c271ccfafd20eb8dfe167d62c5ed"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#af529c271ccfafd20eb8dfe167d62c5ed">Plastic_Explosive::Plastic_Explosive</a></div><div class="ttdeci">void Plastic_Explosive()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00008">Plastic_Explosive.c:8</a></div></div>
<div class="ttc" id="aclass_plastic___explosive_html_afe63c9f731dd6bf072d77ee15fa0ba08"><div class="ttname"><a href="../../da/d42/class_plastic___explosive.html#afe63c9f731dd6bf072d77ee15fa0ba08">Plastic_Explosive::HasLockedTriggerSlots</a></div><div class="ttdeci">override bool HasLockedTriggerSlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dac/_plastic___explosive_8c_source.html#l00031">Plastic_Explosive.c:31</a></div></div>
<div class="ttc" id="aclass_remotely_activated_item_behaviour_html"><div class="ttname"><a href="../../d3/d4e/class_remotely_activated_item_behaviour.html">RemotelyActivatedItemBehaviour</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00001">RemotelyActivatedItemBehaviour.c:2</a></div></div>
<div class="ttc" id="aclass_remotely_activated_item_behaviour_html_a0a88bdc33948908917b0b0646527f0d5"><div class="ttname"><a href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a0a88bdc33948908917b0b0646527f0d5">RemotelyActivatedItemBehaviour::OnVariableSynchronized</a></div><div class="ttdeci">void OnVariableSynchronized()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00013">RemotelyActivatedItemBehaviour.c:13</a></div></div>
<div class="ttc" id="aclass_remotely_activated_item_behaviour_html_a348985aa8f60c193a6a51d3c1af3efb0"><div class="ttname"><a href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a348985aa8f60c193a6a51d3c1af3efb0">RemotelyActivatedItemBehaviour::Unpair</a></div><div class="ttdeci">void Unpair()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00034">RemotelyActivatedItemBehaviour.c:34</a></div></div>
<div class="ttc" id="aclass_remotely_activated_item_behaviour_html_a504e9506cf4236eba096b3f492b236a4"><div class="ttname"><a href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a504e9506cf4236eba096b3f492b236a4">RemotelyActivatedItemBehaviour::IsPaired</a></div><div class="ttdeci">bool IsPaired()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00053">RemotelyActivatedItemBehaviour.c:53</a></div></div>
<div class="ttc" id="aclass_remotely_activated_item_behaviour_html_a87a07217c82311b127a73c2dcf1fcf93"><div class="ttname"><a href="../../d3/d4e/class_remotely_activated_item_behaviour.html#a87a07217c82311b127a73c2dcf1fcf93">RemotelyActivatedItemBehaviour::GetPairDevice</a></div><div class="ttdeci">EntityAI GetPairDevice()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00048">RemotelyActivatedItemBehaviour.c:48</a></div></div>
<div class="ttc" id="aclass_remotely_activated_item_behaviour_html_ad144a49028581e609fced94901d2fb16"><div class="ttname"><a href="../../d3/d4e/class_remotely_activated_item_behaviour.html#ad144a49028581e609fced94901d2fb16">RemotelyActivatedItemBehaviour::Pair</a></div><div class="ttdeci">void Pair(notnull EntityAI device)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db7/_remotely_activated_item_behaviour_8c_source.html#l00027">RemotelyActivatedItemBehaviour.c:27</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___emote_i_ds_html_da/d45/class_game_constants"><div class="ttname"><a href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00569">constants.c:570</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
<div class="ttc" id="agroup___item_health_html_ga3908fcde0f2e91545d7e3a51fab2d5d0"><div class="ttname"><a href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">GameConstants::STATE_RUINED</a></div><div class="ttdeci">const int STATE_RUINED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00713">constants.c:713</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_00d4f000384bee95dbb2fe35f74a0862.html">ExplosivesBase</a></li><li class="navelem"><a class="el" href="../../de/dac/_plastic___explosive_8c.html">Plastic_Explosive.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
